Subject: bug#18602: 24.4.50; tramp/eshell hangs emacs if remote goes down

From: Michael Albinus <[email-masked]>
Date: Fri, 19 Dec 2014 11:41:15 +0100

[email-masked] writes:

> Im not sure how to fix it, but it would be nice if there was some
> improved kind of "tramp-cleanup-all-connections" that simply disabled
> all tramp activity until the connection has been fixed. Perhaps it could
> be called "tramp-panic".

There is `tramp-cleanup-all-buffers'. It does `tramp-cleanup-all-connections'
and removes also all buffers which keep a remote default directory. This
shall be sufficient, because buffers with a remote default directory
could always trigger actions on the corresponding connection.

Best regards, Michael.